DELETE /interaction/v1/interactions/{id}

Overview 

Deletes a journey by ID or key. When deleting last version of a journey, check if the journey is associated with a tag and unassociated the tag using the deleteTags resource.

URL Parameters 

NameTypeDescription
idstringRequiredThe ID of the journey to delete expressed in the form of a GUID (UUID). Required if not using a key. The ID deletes all versions of the journey, unless a versionNumber is provided.
keystringRequiredThe key of the journey. Required if not using ID. Prefix the parameter with key:. For example, /interactions/key:{key}.
versionNumberintegerVersion number of the journey to delete. If no version is specified, ALL versions associated with the provided ID will be deleted.

Usage 

Example Request

The following request will delete the journey specified with the ID request parameter. If you don’t provide the versionNumber parameter, then ALL versions of the identified journey will be deleted. YOU CANNOT RECOVER THIS DATA.

1Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
2DELETE /interaction/v1/interactions/{id}?versionNumber={versionNumber}
3Content-Type: application/json
4Authorization: Bearer YOUR_ACCESS_TOKEN

Example Response

1HTTP/1.1 200 OK

Example Error Response

1HTTP/1.1 500
2{
3    "documentation": "",
4    "errorcode": 500,
5    "message": "Internal Server Error"
6}

DID THIS ARTICLE SOLVE YOUR ISSUE?
Let us know so we can improve!